<template>
  <ProFormItemV2 label="本次申报奖励金总额:" prop="applySumAmount">
    <ProFormInputNumber v-model="form.applySumAmount" formatValue="money" unit="元" />
  </ProFormItemV2>
  <ProFormItemV2 label="财政拨付总额:" prop="financeSumAmount">
    <ProFormInputNumber v-model="form.financeSumAmount" formatValue="money" unit="元" />
  </ProFormItemV2>
  <ProFormItemV2 label="平台拨付总额:" prop="settleSumAmount">
    <ProFormInputNumber v-model="form.settleSumAmount" formatValue="money" unit="元" />
  </ProFormItemV2>
  <ProFormItemV2
    :label="`${item.fileTypeName}:`"
    :prop="`calculationFileList.${index}.listFiles`"
    :label-width="160"
    :style="{ marginBottom: index === form.calculationFileList.length - 1 ? 0 : '22px' }"
    v-for="(item, index) in form.calculationFileList"
    :key="item.fileSearchTypeId"
    v-if="form.calculationFileList.length > 0"
  >
    <ProFormUpload
      v-model:file-url="item.listFiles"
      :limit="1"
      :limitFileSize="50"
      :showTip="false"
      :limitShowViewMoreBtnCount="4"
      accept="doc,docx,pdf,xls,xlsx,jpg/jpeg,png"
    ></ProFormUpload>
  </ProFormItemV2>
</template>

<script setup lang="ts">
import {
  ProFormItemV2,
  ProFormUpload,
  UploadUserFile,
  ProFormInputNumber,
} from '@bole-core/components';
import { CustomerApplyFileTypeListItem } from './utils';

defineOptions({
  name: 'SettlementMaterialInfoView',
});

type Props = {
  form: {
    applySumAmount: number;
    financeSumAmount: number;
    settleSumAmount: number;
    calculationFileList: CustomerApplyFileTypeListItem[];
  };
};

const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
